Last Comment Bug 775815 - SpecialPowers permission manager code should be updated to the new permission manager API
: SpecialPowers permission manager code should be updated to the new permission...
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 769583
Blocks: app-data-jars basecamp-permissions
  Show dependency treegraph
 
Reported: 2012-07-19 19:20 PDT by Mounir Lamouri (:mounir)
Modified: 2012-09-01 07:45 PDT (History)
4 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Patch (4.57 KB, patch)
2012-08-21 20:23 PDT, Mounir Lamouri (:mounir)
jonas: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2012-07-19 19:20:00 PDT
There are:
addPermission()
removePermission()
SPPermissionManager "message"
Comment 1 Andrew Overholt [:overholt] 2012-08-20 10:09:29 PDT
basecamp-blocking- until we see this is blocking lots of tests.  It would still be nice if we had this fixed :)
Comment 2 Mounir Lamouri (:mounir) 2012-08-21 20:23:38 PDT
Created attachment 654063 [details] [diff] [review]
Patch
Comment 3 Mounir Lamouri (:mounir) 2012-08-23 14:08:37 PDT
https://hg.mozilla.org/mozilla-central/rev/93a43b48cb66

Note You need to log in before you can comment on or make changes to this bug.